# Class AllPurposeCluster

java.lang.Object
com.databricks.jdbc.common.AllPurposeCluster

All Implemented Interfaces:
  `IDatabricksComputeResource`

public class AllPurposeCluster extends Object implements IDatabricksComputeResource

## Constructor Summary

Constructors
Constructor
Description
`AllPurposeCluster(String orgId, String clusterId)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getClusterId()`
`String`
`getOrgId()`
`String`
`getUniqueIdentifier()`
`String`
`getWorkspaceId()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AllPurposeCluster

public AllPurposeCluster(String orgId, String clusterId)

## Method Details

### getClusterId

public String getClusterId()

### getOrgId

public String getOrgId()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getWorkspaceId

public String getWorkspaceId()

Specified by:
  `getWorkspaceId` in interface `IDatabricksComputeResource`

### getUniqueIdentifier

public String getUniqueIdentifier()

Specified by:
  `getUniqueIdentifier` in interface `IDatabricksComputeResource`